Skip to content

LoanAppDenial⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppDenialSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppDenialSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppDenialDenialNoticeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppDenialSelectFields
POST /nexum/627/persistent/parameter/getLoanAppDenialSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppDenialDenialNotice": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppDenialFields": true,
    "LoanAppDenialFields": {
      "DenialNotice": true,
      "DenialNoticeDescription": true,
      "DenialNoticeSpecfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppDenialPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppDenialPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppDenialPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppDenialPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppDenialFields": true,
    "LoanAppDenialFields": {
      "DenialNotice": true,
      "DenialNoticeDescription": true,
      "DenialNoticeSpecfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppDenialPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppDenialPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppDenialPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppDenialPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppDenialFields": true,
    "LoanAppDenialFields": {
      "DenialNotice": true,
      "DenialNoticeDescription": true,
      "DenialNoticeSpecfile": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppDenialByID⁠

POST

Execute the persistent ParameterService updateLoanAppDenialByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppDenialDenialNoticeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppDenialByID
POST /nexum/627/persistent/parameter/updateLoanAppDenialByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppDenialDenialNotice": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppDenialFields": {
    "DenialNotice": 0,
    "DenialNoticeDescription": "string",
    "DenialNoticeSpecfile": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}